@echo OFF
rem  * *******************************************************************
rem  *               KSAHEXW1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * This is a multiple-step job.
rem  * Step 1 of 3 - Initialize the environment
rem  * Step 2 of 3 - Read the VSAM, KSDS and Produce a HEX-Dump output
rem  * Step 3 of 3 - End of Job Processing
rem  *
rem  * *************************************************************1 of 3
rem  * Step 1 of 3,
rem  * Initialize the environment.
     set CmdName=KSAHEXW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobStatus=0000
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
     call SimoNOTE "Continue Step 1 of 3, Initialize the environment."
     set KSADB512=%BASELIB1%\DATA\APPL\SIMOTIME.DATA.KSADB512.dat
     set HEXDB512=%BASELIB1%\DATA\TXT1\SIMOTIME.DATA.HEXDB512.txt
     if exist %HEXDB512% del %HEXDB512%
rem  *
rem  * *************************************************************2 of 3
rem  * Step 2 of 3,
rem  * Dump the File.
     call SimoNOTE "Continue Step 2 of 3, Dump the File."
     run KSAHEXC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EOJNOK
     goto EOJAOK
rem  *
rem  * *************************************************************3 of 3
rem  * Step 3 of 3,
rem  * End of Job Processing.
:EOJNOK
     call SimoNOTE "ABENDING JobName %CmdName%, JobStatus %JobStatus%"
     call SimoNOTE "ABENDING Message JobStatus %JobStatus%"
     goto :EOJ
:EOJAOK
     if exist %HEXDB512% START NOTEPAD %HEXDB512%
     call SimoNOTE "Finished JobName %CmdName%"
:EOJ
